Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::prev_fn Struct Reference
Iterator

## Public Member Functions
template<typename I >
constexpr I | operator() (I it) const
template<typename I >
constexpr I | operator() (I it, iter_difference_t< I > n) const
template<typename I >
constexpr I | operator() (I it, iter_difference_t< I > n, I bound) const

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename I >

constexpr I ranges::prev_fn::operator() | ( | I | it | ) | const
| constexpr

Precondition
  requires `bidirectional_iterator<I>`

## ◆ operator()() [2/3]

template<typename I >

constexpr I ranges::prev_fn::operator() | ( | I | it,
|  | iter_difference_t< I > | n
| ) |  | const
| constexpr

Precondition
  requires `bidirectional_iterator<I>`

## ◆ operator()() [3/3]

template<typename I >

constexpr I ranges::prev_fn::operator() | ( | I | it,
|  | iter_difference_t< I > | n,
|  | I | bound
| ) |  | const
| constexpr

Precondition
  requires `bidirectional_iterator<I>`